# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BASENAME = @BASENAME@
CC = @CC@
DEPLIBS = @DEPLIBS@
EXTRAS = @EXTRAS@
HOSTNAME = @HOSTNAME@
INSTALL = @INSTALL@
INSTALL_OPTS = @INSTALL_OPTS@
KRBINCLUDE = @KRBINCLUDE@
LDAPINCLUDE = @LDAPINCLUDE@
LDAPLIBS = @LDAPLIBS@
LIBOBJS = @LIBOBJS@
MAKEINFO = @MAKEINFO@
MYSQLINCLUDE = @MYSQLINCLUDE@
MYSQLLIBS = @MYSQLLIBS@
NEED_VA_LIST = @NEED_VA_LIST@
OPENSSL = @OPENSSL@
PACKAGE = @PACKAGE@
PACKAGE_RELEASE = @PACKAGE_RELEASE@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_TO_DF = @PATH_TO_DF@
PATH_TO_DIG = @PATH_TO_DIG@
PATH_TO_FPING = @PATH_TO_FPING@
PATH_TO_HOST = @PATH_TO_HOST@
PATH_TO_LMSTAT = @PATH_TO_LMSTAT@
PATH_TO_MAILQ = @PATH_TO_MAILQ@
PATH_TO_NSLOOKUP = @PATH_TO_NSLOOKUP@
PATH_TO_NTPDATE = @PATH_TO_NTPDATE@
PATH_TO_NTPDC = @PATH_TO_NTPDC@
PATH_TO_NTPQ = @PATH_TO_NTPQ@
PATH_TO_PING = @PATH_TO_PING@
PATH_TO_PS = @PATH_TO_PS@
PATH_TO_QSTAT = @PATH_TO_QSTAT@
PATH_TO_QUAKESTAT = @PATH_TO_QUAKESTAT@
PATH_TO_RPCINFO = @PATH_TO_RPCINFO@
PATH_TO_SMBCLIENT = @PATH_TO_SMBCLIENT@
PATH_TO_SNMPGET = @PATH_TO_SNMPGET@
PATH_TO_SNMPGETNEXT = @PATH_TO_SNMPGETNEXT@
PATH_TO_SSH = @PATH_TO_SSH@
PATH_TO_SWAP = @PATH_TO_SWAP@
PATH_TO_UPTIME = @PATH_TO_UPTIME@
PATH_TO_WHO = @PATH_TO_WHO@
PERL = @PERL@
PGINCLUDE = @PGINCLUDE@
PGLIBS = @PGLIBS@
PLUGIN_TEST = @PLUGIN_TEST@
PYTHON = @PYTHON@
RADIUSLIBS = @RADIUSLIBS@
RANLIB = @RANLIB@
REL = @REL@
SCRIPT_TEST = @SCRIPT_TEST@
SH = @SH@
SOCKETLIBS = @SOCKETLIBS@
SSLINCLUDE = @SSLINCLUDE@
SSLLIBS = @SSLLIBS@
SUPPORT = @SUPPORT@
VER = @VER@
VERSION = @VERSION@
WARRANTY = @WARRANTY@
check_mysql_LDFLAGS = @check_mysql_LDFLAGS@
nagios_grp = @nagios_grp@
nagios_usr = @nagios_usr@
trusted_path = @trusted_path@

VPATH = $(top_srcdir) $(top_srcdir)/lib $(top_srcdir)/plugins $(top_srcdir)/plugins/t 

INCLUDES = -I.. -I$(top_srcdir)/lib @LDAPINCLUDE@ @PGINCLUDE@ @SSLINCLUDE@ 

libexec_PROGRAMS = check_disk check_dummy check_http check_load \
	check_mrtg check_mrtgtraf check_nwstat check_overcr check_ping \
	check_procs check_real check_smtp check_ssh check_tcp check_time \
	check_udp check_ups check_users check_vsz negate urlize \
	@EXTRAS@


EXTRA_PROGRAMS = check_mysql check_radius check_pgsql check_snmp check_hpjd \
	check_swap check_fping check_ldap check_game check_dig \
	check_nagios check_by_ssh check_dns check_nt


check_tcp_programs = check_ftp check_imap check_nntp check_pop

EXTRA_DIST = t utils.c netutils.c popen.c \
	snprintf.c 


PLUGINHDRS = common.h config.h

BASEOBJS = utils.o ../lib/libnagiosplug.a
NETOBJS = netutils.o $(BASEOBJS)
NETLIBS = $(NETOBJS) $(SOCKETLIBS)

TESTS_ENVIRONMENT = perl -I $(top_builddir) -I $(top_srcdir)

TESTS = @PLUGIN_TEST@

AM_INSTALL_PROGRAM_FLAGS = @INSTALL_OPTS@

##############################################################################
# the actual targets

check_dig_LDADD = $(BASEOBJS) popen.o
check_disk_LDADD = $(BASEOBJS) popen.o
check_dns_LDADD = $(BASEOBJS) popen.o
check_dummy_LDADD = $(BASEOBJS)
check_fping_LDADD = $(BASEOBJS) popen.o
check_game_LDADD = $(BASEOBJS)
check_http_LDADD = $(NETLIBS) $(SSLLIBS)
check_hpjd_LDADD = $(BASEOBJS) popen.o
check_ldap_LDADD = $(NETLIBS) $(LDAPLIBS)
check_load_LDADD = $(BASEOBJS) popen.o
check_mrtg_LDADD = $(BASEOBJS)
check_mrtgtraf_LDADD = $(BASEOBJS)
check_mysql_LDADD = $(BASEOBJS) $(MYSQLLIBS)
check_nagios_LDADD = $(BASEOBJS) popen.o
check_nt_LDADD = $(NETLIBS) 
check_nwstat_LDADD = $(NETLIBS)
check_overcr_LDADD = $(NETLIBS)
check_pgsql_LDADD = $(BASEOBJS) $(PGLIBS)
check_ping_LDADD = $(BASEOBJS) popen.o
check_procs_LDADD = $(BASEOBJS) popen.o
check_radius_LDADD = $(BASEOBJS) $(RADIUSLIBS)
check_real_LDADD = $(NETLIBS)
check_snmp_LDADD = $(BASEOBJS) popen.o
check_smtp_LDADD = $(NETLIBS)
check_ssh_LDADD = $(NETLIBS)
check_swap_LDADD = $(BASEOBJS) popen.o
check_tcp_LDADD = $(NETLIBS) $(SSLLIBS)
check_time_LDADD = $(NETLIBS)
check_udp_LDADD = $(NETLIBS)
check_ups_LDADD = $(NETLIBS)
check_users_LDADD = $(BASEOBJS) popen.o
check_vsz_LDADD = $(BASEOBJS) popen.o
check_by_ssh_LDADD = $(BASEOBJS) popen.o
negate_LDADD = $(BASEOBJS) popen.o
urlize_LDADD = $(BASEOBJS) popen.o

check_dig_DEPENDENCIES = check_dig.c $(BASEOBJS) popen.o $(DEPLIBS)
check_disk_DEPENDENCIES = check_disk.c $(BASEOBJS) popen.o $(DEPLIBS)
check_dns_DEPENDENCIES = check_dns.c $(BASEOBJS) popen.o $(DEPLIBS)
check_dummy_DEPENDENCIES = check_dummy.c  $(DEPLIBS)
check_fping_DEPENDENCIES = check_fping.c $(BASEOBJS) popen.o $(DEPLIBS)
check_game_DEPENDENCIES = check_game.c  $(DEPLIBS)
check_http_DEPENDENCIES = check_http.c $(NETOBJS) $(DEPLIBS)
check_hpjd_DEPENDENCIES = check_hpjd.c $(BASEOBJS) popen.o $(DEPLIBS)
check_ldap_DEPENDENCIES = check_ldap.c $(NETOBJS) $(DEPLIBS)
check_load_DEPENDENCIES = check_load.c $(BASEOBJS) popen.o $(DEPLIBS)
check_mrtg_DEPENDENCIES = check_mrtg.c  $(DEPLIBS)
check_mrtgtraf_DEPENDENCIES = check_mrtgtraf.c  $(DEPLIBS)
check_mysql_DEPENDENCIES = check_mysql.c  $(DEPLIBS)
check_nagios_DEPENDENCIES = check_nagios.c $(BASEOBJS) popen.o $(DEPLIBS)
check_nt_DEPENDENCIES = check_nt.c $(NETOBJS) $(DEPLIBS)
check_nwstat_DEPENDENCIES = check_nwstat.c $(NETOBJS) $(DEPLIBS)
check_overcr_DEPENDENCIES = check_overcr.c $(NETOBJS) $(DEPLIBS)
check_pgsql_DEPENDENCIES = check_pgsql.c  $(DEPLIBS)
check_ping_DEPENDENCIES = check_ping.c $(BASEOBJS) popen.o $(DEPLIBS)
check_procs_DEPENDENCIES = check_procs.c $(BASEOBJS) popen.o $(DEPLIBS)
check_radius_DEPENDENCIES = check_radius.c  $(DEPLIBS)
check_real_DEPENDENCIES = check_real.c $(NETOBJS) $(DEPLIBS)
check_snmp_DEPENDENCIES = check_snmp.c $(BASEOBJS) popen.o $(DEPLIBS)
check_smtp_DEPENDENCIES = check_smtp.c $(NETOBJS) $(DEPLIBS)
check_ssh_DEPENDENCIES = check_ssh.c $(NETOBJS) $(DEPLIBS)
check_swap_DEPENDENCIES = check_swap.c $(BASEOBJS) popen.o $(DEPLIBS)
check_tcp_DEPENDENCIES = check_tcp.c $(NETOBJS) $(DEPLIBS)
check_time_DEPENDENCIES = check_time.c $(NETOBJS) $(DEPLIBS)
check_udp_DEPENDENCIES = check_udp.c $(NETOBJS) $(DEPLIBS)
check_ups_DEPENDENCIES = check_ups.c $(NETOBJS) $(DEPLIBS)
check_users_DEPENDENCIES = check_users.c $(BASEOBJS) popen.o $(DEPLIBS)
check_vsz_DEPENDENCIES = check_vsz.c $(BASEOBJS) popen.o $(DEPLIBS)
check_by_ssh_DEPENDENCIES = check_by_ssh.c $(BASEOBJS) popen.o $(DEPLIBS)
negate_DEPENDENCIES = negate.c $(BASEOBJS) popen.o $(DEPLIBS)
urlize_DEPENDENCIES = urlize.c $(BASEOBJS) popen.o $(DEPLIBS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h common.h version.h netutils.h utils.h popen.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(libexec_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I. -I. -I. -I. -I. -I.
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
check_mysql_SOURCES = check_mysql.c
check_mysql_OBJECTS =  check_mysql.o
check_radius_SOURCES = check_radius.c
check_radius_OBJECTS =  check_radius.o
check_radius_LDFLAGS = 
check_pgsql_SOURCES = check_pgsql.c
check_pgsql_OBJECTS =  check_pgsql.o
check_pgsql_LDFLAGS = 
check_snmp_SOURCES = check_snmp.c
check_snmp_OBJECTS =  check_snmp.o
check_snmp_LDFLAGS = 
check_hpjd_SOURCES = check_hpjd.c
check_hpjd_OBJECTS =  check_hpjd.o
check_hpjd_LDFLAGS = 
check_swap_SOURCES = check_swap.c
check_swap_OBJECTS =  check_swap.o
check_swap_LDFLAGS = 
check_fping_SOURCES = check_fping.c
check_fping_OBJECTS =  check_fping.o
check_fping_LDFLAGS = 
check_ldap_SOURCES = check_ldap.c
check_ldap_OBJECTS =  check_ldap.o
check_ldap_LDFLAGS = 
check_game_SOURCES = check_game.c
check_game_OBJECTS =  check_game.o
check_game_LDFLAGS = 
check_dig_SOURCES = check_dig.c
check_dig_OBJECTS =  check_dig.o
check_dig_LDFLAGS = 
check_nagios_SOURCES = check_nagios.c
check_nagios_OBJECTS =  check_nagios.o
check_nagios_LDFLAGS = 
check_by_ssh_SOURCES = check_by_ssh.c
check_by_ssh_OBJECTS =  check_by_ssh.o
check_by_ssh_LDFLAGS = 
check_dns_SOURCES = check_dns.c
check_dns_OBJECTS =  check_dns.o
check_dns_LDFLAGS = 
check_nt_SOURCES = check_nt.c
check_nt_OBJECTS =  check_nt.o
check_nt_LDFLAGS = 
check_disk_SOURCES = check_disk.c
check_disk_OBJECTS =  check_disk.o
check_disk_LDFLAGS = 
check_dummy_SOURCES = check_dummy.c
check_dummy_OBJECTS =  check_dummy.o
check_dummy_LDFLAGS = 
check_http_SOURCES = check_http.c
check_http_OBJECTS =  check_http.o
check_http_LDFLAGS = 
check_load_SOURCES = check_load.c
check_load_OBJECTS =  check_load.o
check_load_LDFLAGS = 
check_mrtg_SOURCES = check_mrtg.c
check_mrtg_OBJECTS =  check_mrtg.o
check_mrtg_LDFLAGS = 
check_mrtgtraf_SOURCES = check_mrtgtraf.c
check_mrtgtraf_OBJECTS =  check_mrtgtraf.o
check_mrtgtraf_LDFLAGS = 
check_nwstat_SOURCES = check_nwstat.c
check_nwstat_OBJECTS =  check_nwstat.o
check_nwstat_LDFLAGS = 
check_overcr_SOURCES = check_overcr.c
check_overcr_OBJECTS =  check_overcr.o
check_overcr_LDFLAGS = 
check_ping_SOURCES = check_ping.c
check_ping_OBJECTS =  check_ping.o
check_ping_LDFLAGS = 
check_procs_SOURCES = check_procs.c
check_procs_OBJECTS =  check_procs.o
check_procs_LDFLAGS = 
check_real_SOURCES = check_real.c
check_real_OBJECTS =  check_real.o
check_real_LDFLAGS = 
check_smtp_SOURCES = check_smtp.c
check_smtp_OBJECTS =  check_smtp.o
check_smtp_LDFLAGS = 
check_ssh_SOURCES = check_ssh.c
check_ssh_OBJECTS =  check_ssh.o
check_ssh_LDFLAGS = 
check_tcp_SOURCES = check_tcp.c
check_tcp_OBJECTS =  check_tcp.o
check_tcp_LDFLAGS = 
check_time_SOURCES = check_time.c
check_time_OBJECTS =  check_time.o
check_time_LDFLAGS = 
check_udp_SOURCES = check_udp.c
check_udp_OBJECTS =  check_udp.o
check_udp_LDFLAGS = 
check_ups_SOURCES = check_ups.c
check_ups_OBJECTS =  check_ups.o
check_ups_LDFLAGS = 
check_users_SOURCES = check_users.c
check_users_OBJECTS =  check_users.o
check_users_LDFLAGS = 
check_vsz_SOURCES = check_vsz.c
check_vsz_OBJECTS =  check_vsz.o
check_vsz_LDFLAGS = 
negate_SOURCES = negate.c
negate_OBJECTS =  negate.o
negate_LDFLAGS = 
urlize_SOURCES = urlize.c
urlize_OBJECTS =  urlize.o
urlize_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  ./stamp-h1.in ./stamp-h2.in ./stamp-h3.in ./stamp-h4.in \
./stamp-h5.in ./stamp-h6.in Makefile.am Makefile.in common.h.in \
config.h.in netutils.h.in popen.h.in utils.h.in version.h.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = check_mysql.c check_radius.c check_pgsql.c check_snmp.c check_hpjd.c check_swap.c check_fping.c check_ldap.c check_game.c check_dig.c check_nagios.c check_by_ssh.c check_dns.c check_nt.c check_disk.c check_dummy.c check_http.c check_load.c check_mrtg.c check_mrtgtraf.c check_nwstat.c check_overcr.c check_ping.c check_procs.c check_real.c check_smtp.c check_ssh.c check_tcp.c check_time.c check_udp.c check_ups.c check_users.c check_vsz.c negate.c urlize.c
OBJECTS = check_mysql.o check_radius.o check_pgsql.o check_snmp.o check_hpjd.o check_swap.o check_fping.o check_ldap.o check_game.o check_dig.o check_nagios.o check_by_ssh.o check_dns.o check_nt.o check_disk.o check_dummy.o check_http.o check_load.o check_mrtg.o check_mrtgtraf.o check_nwstat.o check_overcr.o check_ping.o check_procs.o check_real.o check_smtp.o check_ssh.o check_tcp.o check_time.o check_udp.o check_ups.o check_users.o check_vsz.o negate.o urlize.o

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps plugins/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


config.h: stamp-h1
	@if test ! -f $@; then \
		rm -f stamp-h1; \
		$(MAKE) stamp-h1; \
	else :; fi
stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=plugins/config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h1 2> /dev/null
$(srcdir)/config.h.in: $(srcdir)/stamp-h1.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h1.in; \
		$(MAKE) $(srcdir)/stamp-h1.in; \
	else :; fi
$(srcdir)/stamp-h1.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h1.in 2> /dev/null

common.h: stamp-h2
	@if test ! -f $@; then \
		rm -f stamp-h2; \
		$(MAKE) stamp-h2; \
	else :; fi
stamp-h2: $(srcdir)/common.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=plugins/common.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h2 2> /dev/null
$(srcdir)/common.h.in: $(srcdir)/stamp-h2.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h2.in; \
		$(MAKE) $(srcdir)/stamp-h2.in; \
	else :; fi
$(srcdir)/stamp-h2.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h2.in 2> /dev/null

version.h: stamp-h3
	@if test ! -f $@; then \
		rm -f stamp-h3; \
		$(MAKE) stamp-h3; \
	else :; fi
stamp-h3: $(srcdir)/version.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=plugins/version.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h3 2> /dev/null
$(srcdir)/version.h.in: $(srcdir)/stamp-h3.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h3.in; \
		$(MAKE) $(srcdir)/stamp-h3.in; \
	else :; fi
$(srcdir)/stamp-h3.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h3.in 2> /dev/null

netutils.h: stamp-h4
	@if test ! -f $@; then \
		rm -f stamp-h4; \
		$(MAKE) stamp-h4; \
	else :; fi
stamp-h4: $(srcdir)/netutils.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=plugins/netutils.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h4 2> /dev/null
$(srcdir)/netutils.h.in: $(srcdir)/stamp-h4.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h4.in; \
		$(MAKE) $(srcdir)/stamp-h4.in; \
	else :; fi
$(srcdir)/stamp-h4.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h4.in 2> /dev/null

utils.h: stamp-h5
	@if test ! -f $@; then \
		rm -f stamp-h5; \
		$(MAKE) stamp-h5; \
	else :; fi
stamp-h5: $(srcdir)/utils.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=plugins/utils.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h5 2> /dev/null
$(srcdir)/utils.h.in: $(srcdir)/stamp-h5.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h5.in; \
		$(MAKE) $(srcdir)/stamp-h5.in; \
	else :; fi
$(srcdir)/stamp-h5.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h5.in 2> /dev/null

popen.h: stamp-h6
	@if test ! -f $@; then \
		rm -f stamp-h6; \
		$(MAKE) stamp-h6; \
	else :; fi
stamp-h6: $(srcdir)/popen.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=plugins/popen.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h6 2> /dev/null
$(srcdir)/popen.h.in: $(srcdir)/stamp-h6.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h6.in; \
		$(MAKE) $(srcdir)/stamp-h6.in; \
	else :; fi
$(srcdir)/stamp-h6.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h6.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h common.h version.h netutils.h utils.h popen.h

maintainer-clean-hdr:

mostlyclean-libexecPROGRAMS:

clean-libexecPROGRAMS:
	-test -z "$(libexec_PROGRAMS)" || rm -f $(libexec_PROGRAMS)

distclean-libexecPROGRAMS:

maintainer-clean-libexecPROGRAMS:

install-libexecPROGRAMS: $(libexec_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libexecdir)
	@list='$(libexec_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(libexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(libexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-libexecPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(libexec_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(libexecdir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

check_mysql: $(check_mysql_OBJECTS) $(check_mysql_DEPENDENCIES)
	@rm -f check_mysql
	$(LINK) $(check_mysql_LDFLAGS) $(check_mysql_OBJECTS) $(check_mysql_LDADD) $(LIBS)

check_radius: $(check_radius_OBJECTS) $(check_radius_DEPENDENCIES)
	@rm -f check_radius
	$(LINK) $(check_radius_LDFLAGS) $(check_radius_OBJECTS) $(check_radius_LDADD) $(LIBS)

check_pgsql: $(check_pgsql_OBJECTS) $(check_pgsql_DEPENDENCIES)
	@rm -f check_pgsql
	$(LINK) $(check_pgsql_LDFLAGS) $(check_pgsql_OBJECTS) $(check_pgsql_LDADD) $(LIBS)

check_snmp: $(check_snmp_OBJECTS) $(check_snmp_DEPENDENCIES)
	@rm -f check_snmp
	$(LINK) $(check_snmp_LDFLAGS) $(check_snmp_OBJECTS) $(check_snmp_LDADD) $(LIBS)

check_hpjd: $(check_hpjd_OBJECTS) $(check_hpjd_DEPENDENCIES)
	@rm -f check_hpjd
	$(LINK) $(check_hpjd_LDFLAGS) $(check_hpjd_OBJECTS) $(check_hpjd_LDADD) $(LIBS)

check_swap: $(check_swap_OBJECTS) $(check_swap_DEPENDENCIES)
	@rm -f check_swap
	$(LINK) $(check_swap_LDFLAGS) $(check_swap_OBJECTS) $(check_swap_LDADD) $(LIBS)

check_fping: $(check_fping_OBJECTS) $(check_fping_DEPENDENCIES)
	@rm -f check_fping
	$(LINK) $(check_fping_LDFLAGS) $(check_fping_OBJECTS) $(check_fping_LDADD) $(LIBS)

check_ldap: $(check_ldap_OBJECTS) $(check_ldap_DEPENDENCIES)
	@rm -f check_ldap
	$(LINK) $(check_ldap_LDFLAGS) $(check_ldap_OBJECTS) $(check_ldap_LDADD) $(LIBS)

check_game: $(check_game_OBJECTS) $(check_game_DEPENDENCIES)
	@rm -f check_game
	$(LINK) $(check_game_LDFLAGS) $(check_game_OBJECTS) $(check_game_LDADD) $(LIBS)

check_dig: $(check_dig_OBJECTS) $(check_dig_DEPENDENCIES)
	@rm -f check_dig
	$(LINK) $(check_dig_LDFLAGS) $(check_dig_OBJECTS) $(check_dig_LDADD) $(LIBS)

check_nagios: $(check_nagios_OBJECTS) $(check_nagios_DEPENDENCIES)
	@rm -f check_nagios
	$(LINK) $(check_nagios_LDFLAGS) $(check_nagios_OBJECTS) $(check_nagios_LDADD) $(LIBS)

check_by_ssh: $(check_by_ssh_OBJECTS) $(check_by_ssh_DEPENDENCIES)
	@rm -f check_by_ssh
	$(LINK) $(check_by_ssh_LDFLAGS) $(check_by_ssh_OBJECTS) $(check_by_ssh_LDADD) $(LIBS)

check_dns: $(check_dns_OBJECTS) $(check_dns_DEPENDENCIES)
	@rm -f check_dns
	$(LINK) $(check_dns_LDFLAGS) $(check_dns_OBJECTS) $(check_dns_LDADD) $(LIBS)

check_nt: $(check_nt_OBJECTS) $(check_nt_DEPENDENCIES)
	@rm -f check_nt
	$(LINK) $(check_nt_LDFLAGS) $(check_nt_OBJECTS) $(check_nt_LDADD) $(LIBS)

check_disk: $(check_disk_OBJECTS) $(check_disk_DEPENDENCIES)
	@rm -f check_disk
	$(LINK) $(check_disk_LDFLAGS) $(check_disk_OBJECTS) $(check_disk_LDADD) $(LIBS)

check_dummy: $(check_dummy_OBJECTS) $(check_dummy_DEPENDENCIES)
	@rm -f check_dummy
	$(LINK) $(check_dummy_LDFLAGS) $(check_dummy_OBJECTS) $(check_dummy_LDADD) $(LIBS)

check_http: $(check_http_OBJECTS) $(check_http_DEPENDENCIES)
	@rm -f check_http
	$(LINK) $(check_http_LDFLAGS) $(check_http_OBJECTS) $(check_http_LDADD) $(LIBS)

check_load: $(check_load_OBJECTS) $(check_load_DEPENDENCIES)
	@rm -f check_load
	$(LINK) $(check_load_LDFLAGS) $(check_load_OBJECTS) $(check_load_LDADD) $(LIBS)

check_mrtg: $(check_mrtg_OBJECTS) $(check_mrtg_DEPENDENCIES)
	@rm -f check_mrtg
	$(LINK) $(check_mrtg_LDFLAGS) $(check_mrtg_OBJECTS) $(check_mrtg_LDADD) $(LIBS)

check_mrtgtraf: $(check_mrtgtraf_OBJECTS) $(check_mrtgtraf_DEPENDENCIES)
	@rm -f check_mrtgtraf
	$(LINK) $(check_mrtgtraf_LDFLAGS) $(check_mrtgtraf_OBJECTS) $(check_mrtgtraf_LDADD) $(LIBS)

check_nwstat: $(check_nwstat_OBJECTS) $(check_nwstat_DEPENDENCIES)
	@rm -f check_nwstat
	$(LINK) $(check_nwstat_LDFLAGS) $(check_nwstat_OBJECTS) $(check_nwstat_LDADD) $(LIBS)

check_overcr: $(check_overcr_OBJECTS) $(check_overcr_DEPENDENCIES)
	@rm -f check_overcr
	$(LINK) $(check_overcr_LDFLAGS) $(check_overcr_OBJECTS) $(check_overcr_LDADD) $(LIBS)

check_ping: $(check_ping_OBJECTS) $(check_ping_DEPENDENCIES)
	@rm -f check_ping
	$(LINK) $(check_ping_LDFLAGS) $(check_ping_OBJECTS) $(check_ping_LDADD) $(LIBS)

check_procs: $(check_procs_OBJECTS) $(check_procs_DEPENDENCIES)
	@rm -f check_procs
	$(LINK) $(check_procs_LDFLAGS) $(check_procs_OBJECTS) $(check_procs_LDADD) $(LIBS)

check_real: $(check_real_OBJECTS) $(check_real_DEPENDENCIES)
	@rm -f check_real
	$(LINK) $(check_real_LDFLAGS) $(check_real_OBJECTS) $(check_real_LDADD) $(LIBS)

check_smtp: $(check_smtp_OBJECTS) $(check_smtp_DEPENDENCIES)
	@rm -f check_smtp
	$(LINK) $(check_smtp_LDFLAGS) $(check_smtp_OBJECTS) $(check_smtp_LDADD) $(LIBS)

check_ssh: $(check_ssh_OBJECTS) $(check_ssh_DEPENDENCIES)
	@rm -f check_ssh
	$(LINK) $(check_ssh_LDFLAGS) $(check_ssh_OBJECTS) $(check_ssh_LDADD) $(LIBS)

check_tcp: $(check_tcp_OBJECTS) $(check_tcp_DEPENDENCIES)
	@rm -f check_tcp
	$(LINK) $(check_tcp_LDFLAGS) $(check_tcp_OBJECTS) $(check_tcp_LDADD) $(LIBS)

check_time: $(check_time_OBJECTS) $(check_time_DEPENDENCIES)
	@rm -f check_time
	$(LINK) $(check_time_LDFLAGS) $(check_time_OBJECTS) $(check_time_LDADD) $(LIBS)

check_udp: $(check_udp_OBJECTS) $(check_udp_DEPENDENCIES)
	@rm -f check_udp
	$(LINK) $(check_udp_LDFLAGS) $(check_udp_OBJECTS) $(check_udp_LDADD) $(LIBS)

check_ups: $(check_ups_OBJECTS) $(check_ups_DEPENDENCIES)
	@rm -f check_ups
	$(LINK) $(check_ups_LDFLAGS) $(check_ups_OBJECTS) $(check_ups_LDADD) $(LIBS)

check_users: $(check_users_OBJECTS) $(check_users_DEPENDENCIES)
	@rm -f check_users
	$(LINK) $(check_users_LDFLAGS) $(check_users_OBJECTS) $(check_users_LDADD) $(LIBS)

check_vsz: $(check_vsz_OBJECTS) $(check_vsz_DEPENDENCIES)
	@rm -f check_vsz
	$(LINK) $(check_vsz_LDFLAGS) $(check_vsz_OBJECTS) $(check_vsz_LDADD) $(LIBS)

negate: $(negate_OBJECTS) $(negate_DEPENDENCIES)
	@rm -f negate
	$(LINK) $(negate_LDFLAGS) $(negate_OBJECTS) $(negate_LDADD) $(LIBS)

urlize: $(urlize_OBJECTS) $(urlize_DEPENDENCIES)
	@rm -f urlize
	$(LINK) $(urlize_LDFLAGS) $(urlize_OBJECTS) $(urlize_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in common.h.in version.h.in netutils.h.in utils.h.in popen.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in common.h.in version.h.in netutils.h.in utils.h.in popen.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in common.h.in version.h.in netutils.h.in utils.h.in popen.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = plugins

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

check-TESTS: $(TESTS)
	@failed=0; all=0; \
	srcdir=$(srcdir); export srcdir; \
	for tst in $(TESTS); do \
	  if test -f $$tst; then dir=.; \
	  else dir="$(srcdir)"; fi; \
	  if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
	    all=`expr $$all + 1`; \
	    echo "PASS: $$tst"; \
	  elif test $$? -ne 77; then \
	    all=`expr $$all + 1`; \
	    failed=`expr $$failed + 1`; \
	    echo "FAIL: $$tst"; \
	  fi; \
	done; \
	if test "$$failed" -eq 0; then \
	  banner="All $$all tests passed"; \
	else \
	  banner="$$failed of $$all tests failed"; \
	fi; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"; \
	test "$$failed" -eq 0
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
installcheck-am:
installcheck: installcheck-am
all-recursive-am: config.h common.h version.h netutils.h utils.h popen.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

install-exec-am: install-libexecPROGRAMS
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libexecPROGRAMS uninstall-local
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) config.h common.h version.h netutils.h \
		utils.h popen.h all-local
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libexecdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-hdr mostlyclean-libexecPROGRAMS \
		mostlyclean-compile mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-hdr clean-libexecPROGRAMS clean-compile clean-tags \
		clean-generic mostlyclean-am clean-local

clean: clean-am

distclean-am:  distclean-hdr distclean-libexecPROGRAMS distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-hdr \
		maintainer-clean-libexecPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
mostlyclean-libexecPROGRAMS distclean-libexecPROGRAMS \
clean-libexecPROGRAMS maintainer-clean-libexecPROGRAMS \
uninstall-libexecPROGRAMS install-libexecPROGRAMS mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir check-TESTS info-am info dvi-am dvi check check-am \
installcheck-am installcheck all-recursive-am install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-local uninstall-am uninstall all-local all-redirect all-am \
all installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


test:
	perl -I $(top_builddir) -I $(top_srcdir) ../test.pl

##############################################################################
# secondary dependencies

popen.o: popen.c popen.h $(PLUGINHDRS)

utils.o: utils.c utils.h $(PLUGINHDRS)

netutils.o: netutils.c netutils.h $(PLUGINHDRS)

snprintf.o: snprintf.c
	$(COMPILE) @NEED_VA_LIST@ -c $(srcdir)/snprintf.c -o $@

libsnprintf.a: snprintf.o
	$(AR) -r $@ snprintf.o

all-local: $(check_tcp_programs)

$(check_tcp_programs): check_tcp
	ln -sf check_tcp $@

install-exec-hook:
	cd $(DESTDIR)$(libexecdir) && \
	for i in $(check_tcp_programs) ; do rm -f $$i; ln -sf check_tcp $$i ; done

clean-local:
	rm -f $(check_tcp_programs)

uninstall-local:
	cd $(DESTDIR)$(libexecdir) && rm -f $(check_tcp_programs)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
